MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > Operators > Material and Mapping >

# mapping : Helper

    mapping - superclass: helper super-superclass:node - classID: #(1962490637, 515064320)

Value > MAXWrapper > Node > Helper > Mapping

| Particle Flow - Quick Navigation

Description:

The Mapping operator lets you assign a constant UVW mapping to the entire surface of the particles. It works in conjunction with a map specified in a material operator in the current event. By animating the mapping coordinates, you can vary the location on the material map from which the particle color is taken, thus changing the particle color in a predictable way over time.

Constructor:

    Mapping...

Properties:

    <Mapping>.U_Map Float default:0.0 alias: U_Map_Coordinate
    <Mapping>.V_Map Float default:0.0 alias: V_Map_Coordinate
    <Mapping>.W_Map Float default:0.0 alias: W_Map_Coordinate

Set the coordinates on the map from which the particle color is taken. One pixel from this location is used to color the entire particle.

    <Mapping>.Sync_Type Integer default:0

Controls the state of the Synch By drop-down list in the UI. Specifies the time frame for applying animated parameters. Possible values are:

0: Absolute Time - Any keys set for parameters are applied at the actual frames for which they're set.

1: Particle Age - Any keys set for parameters are applied at the corresponding frames of each particle's existence.

2: Event Duration - Any keys set for parameters are applied to each particle starting when it first enters the event.

    <Mapping>.Channel_Type Integer default:0

Controls the state of the Channel radio buttons in the UI. Possible values are:

0: Map Channel - Use the Map Channel specified by the .Map_Channel value

1: Vertex Color Channel - Use the Vertex Color channel.

    <Mapping>.Map_Channel Integer default:1

The mapping is applied to the specified map channel.

    <Mapping>.Show_In_Viewport Boolean default:false

The mapping is visible in the viewports.

## mapping Interfaces:

Interface: action

Interface: operator

Interface: PViewItem

#### See Also

- Particle Flow Classes